#version 420
out vec4 Out_Color;
layout(binding=1, offset=0) uniform atomic_uint ac_frag;
void main()
{
	uint counter = atomicCounterIncrement(ac_frag);
	float r = (counter/255) / 255.f;
  Out_Color = vec4(r, 0, 0, 1);
}
